Zum Hauptinhalt springen
GET
/api/v1/characters

Experimenteller Endpoint

Dies ist ein experimenteller Endpoint und kann Änderungen unterliegen.

Postman-Collection

Weitere Beispiele finden Sie in dieser Postman-Collection.

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Abfrageparameter

categories
string[]

Filter by category names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
Beispiel:
isAdult
enum<string>

Filter by adult content flag

Verfügbare Optionen:
true,
false
Beispiel:

"false"

isPro
enum<string>

Filter to only show characters using pro models

Verfügbare Optionen:
true,
false
Beispiel:

"false"

isWebEnabled
enum<string>

Filter to only show web-enabled characters

Verfügbare Optionen:
true,
false
Beispiel:

"true"

limit
integer
Standard:50

Number of characters to return (max: 100)

Erforderlicher Bereich: 0 < x <= 100
Beispiel:

50

modelId
string[]

Filter by model ID(s). Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 200
Beispiel:
offset
integer | null
Standard:0

Number of characters to skip for pagination

Erforderlicher Bereich: x >= 0
Beispiel:

0

Search characters by name, description, or tags. Hashtag search is supported.

Maximum string length: 200
Beispiel:

"assistant"

sortBy
enum<string>

Sort results using a supported character discovery mode

Verfügbare Optionen:
featured,
highestRating,
highlyRated,
highlyRatedAndRecent,
imports,
mostRecent,
ratingCount
Beispiel:

"imports"

sortOrder
enum<string>

Sort order applied to the selected sort mode. Defaults to descending when omitted.

Verfügbare Optionen:
asc,
desc
Beispiel:

"desc"

tags
string[]

Filter by tag names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
Beispiel:

Antwort

OK

data
object[]
erforderlich
object
enum<string>
erforderlich
Verfügbare Optionen:
list